Subject: Re: problem with symbolic links across filesystems
From: [email-masked] (Larry Hall)

22 Aug 1998 14:26:55 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "ChadyS" <[email-masked]>, [email-masked]

At 09:39 AM 8/20/98 -0600, ChadyS wrote:
>I have recently started working with the b19.1 version of the cygwin32 tools,
>and I am very much interested in using the symbolic link capability.  I have
>found a problem using symbolic links across filesystems.
>
>Here is the setup:
>directory	d:/da/db
>directory	c:/ca
>
>ln -s d:/da/db c:/ca/cb
>
>If you are in /ca, you can cd to cb without problems.
>
>You can't, however, cd to /ca/cb.  The problem is realpath shows the following
>path for /ca/cb:	/ca/d:/da/db
>
>Does anyone have any suggestions?
>Thanks in advance,
>Steve Chady

Use mounts for c: and d: and then use those UNIX-style paths when mounting.
You won't get the "<drive>:" cruft in the resulting resolution of the link,
which is what you see now and is the cause of your problem.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".